Distribution
List buyer portals
GET
Scope: distribution:read
apiKeyheader
AuthorizationBearer <ik_live_…>An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.
OK
application/json- response
[key: string]?anyExample Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/portals'Example Response
{ "portals": [ { "id": "06bf204d-507e-4625-981f-f3fcb1194366", "slug": "untitled-avail-48", "name": "Untitled avail", "logoUrl": null, "accentColor": null, "logoBgColor": null, "about": null, "contactEmail": null, "contactPhone": null, "websiteUrl": null, "catalogIds": [], "assetIds": [], "hiddenAssetIds": [], "hideExpiredRights": true, "buyerId": null, "channelIds": [], "hiddenChannelIds": [], "contentKind": "titles", "accessMode": "public", "hasPassword": false, "status": "draft", "createdAt": "2026-10-14T08:28:31.801Z", "updatedAt": "2026-10-14T08:28:31.801Z", "titleCount": 101, "channelCount": 0, "expiringCount": 4, "posters": [ "https://image.tmdb.org/t/p/w500/3bhkrj58Vtu7enYsRolD1fZdja1.jpg", "https://image.tmdb.org/t/p/w500/7IiTTgloJzvGI1TAYymCfbfl3vT.jpg" ], "requestCount": 0, "newRequestCount": 0, "lastRequestAt": null }, { "id": "bcade0a5-619e-49dc-ab30-3e6dcc32ee22", "slug": "untitled-avail-49", "name": "Untitled avail", "logoUrl": null, "accentColor": null, "logoBgColor": null, "about": null, "contactEmail": null, "contactPhone": null, "websiteUrl": null, "catalogIds": [], "assetIds": [], "hiddenAssetIds": [], "hideExpiredRights": true, "buyerId": null, "channelIds": [], "hiddenChannelIds": [], "contentKind": "titles", "accessMode": "public", "hasPassword": false, "status": "draft", "createdAt": "2026-10-22T09:58:48.904Z", "updatedAt": "2026-10-22T09:58:48.904Z", "titleCount": 101, "channelCount": 0, "expiringCount": 4, "posters": [ "https://image.tmdb.org/t/p/w500/3bhkrj58Vtu7enYsRolD1fZdja1.jpg", "https://image.tmdb.org/t/p/w500/7IiTTgloJzvGI1TAYymCfbfl3vT.jpg" ], "requestCount": 0, "newRequestCount": 0, "lastRequestAt": null } ]}